<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/login_coordinator_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".page.login.LoginActivity">

    <LinearLayout
        android:id="@+id/login_linear_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:layout_marginBottom="@dimen/activity_vertical_margin"
        android:layout_marginLeft="@dimen/activity_horizontal_margin"
        android:layout_marginRight="@dimen/activity_horizontal_margin"
        android:orientation="vertical"
        app:layout_behavior="com.p3.bewoplaner.utils.ui.LayoutBehavior">

        <EditText
            android:id="@+id/login_chat_code"
            style="@style/AppTheme.EditText"
            android:layout_width="match_parent"
            android:background="@drawable/shape_round_top_corners"
            android:hint="@string/login_chat_code_hint"
            android:inputType="text" />

        <View
            android:id="@+id/login_divider1"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/colorDivider" />

        <EditText
            android:id="@+id/login_account"
            style="@style/AppTheme.EditText"
            android:layout_width="match_parent"
            android:background="@color/colorWhite"
            android:hint="@string/login_account_number_hint"
            android:inputType="text" />

        <View
            android:id="@+id/login_divider2"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/colorDivider" />

        <EditText
            android:id="@+id/login_username"
            style="@style/AppTheme.EditText"
            android:layout_width="match_parent"
            android:background="@color/colorWhite"
            android:hint="@string/login_username_hint"
            android:inputType="text" />

        <View
            android:id="@+id/login_divider3"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/colorDivider" />

        <EditText
            android:id="@+id/login_password"
            style="@style/AppTheme.EditText"
            android:layout_width="match_parent"
            android:background="@drawable/shape_round_bottom_corners"
            android:hint="@string/login_password_hint"
            android:inputType="textPassword" />

        <CheckBox
            android:id="@+id/login_save_password_checkBox"
            style="@style/AppTheme.CheckBox.Text"
            android:layout_width="match_parent"
            android:layout_height="@dimen/regular_height"
            android:button="@drawable/selector_checkbox"
            android:padding="@dimen/checkbox_padding"
            android:text="@string/login_save_password" />

        <Button
            android:id="@+id/login_button"
            style="@style/AppTheme.Button"
            android:layout_width="match_parent"
            android:text="@string/login_button_text" />

        <ProgressBar
            android:id="@+id/login_progress_bar"
            style="?android:attr/progressBarStyle"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/regular_height"
            android:layout_gravity="center"
            android:visibility="gone" />

    </LinearLayout>

</android.support.design.widget.CoordinatorLayout>